### R code from vignette source 'HiveR.Rnw'

###################################################
### code chunk number 1: SetUp
###################################################
library(lattice) # these are only needed for the automatic vignette build, which occurs 
library(mvbutils) # in a clean environment
library(grid)
library(FuncMap)
library(HiveR)
if (!file.exists("graphics")) dir.create("graphics")


###################################################
### code chunk number 2: FuncMapExample
###################################################
fw <- foodweb(where = "package:lattice", plotting = FALSE)
ans <- FuncMap(fwb = fw, pkg = "lattice", method = "abs")


###################################################
### code chunk number 3: HP2
###################################################
hp2 <- ranHiveData(nx = 2)
plotHive(hp2)


###################################################
### code chunk number 4: HP3
###################################################
hp3 <- ranHiveData(nx = 3)
plotHive(hp3)


###################################################
### code chunk number 5: HP4
###################################################
plotHive(hp3, method = "rank")


###################################################
### code chunk number 6: PPN1
###################################################
require(bipartite)
data(Safariland)
visweb(Safariland)


###################################################
### code chunk number 7: PPN4
###################################################
plotweb(Safariland)


###################################################
### code chunk number 8: PPN2
###################################################
data(Safari)
plotHive(Safari)


###################################################
### code chunk number 9: PPN3
###################################################
data(Arroyo)
plotHive(Arroyo)


